
From: "Feldman, Scott" <scott.feldman@intel.com>

Jens, Jeff forwarded this note to me.  Below is the offending code that's
causing your 8086:1019 device to not work.  Please verify.  We'll need to
figure out why this is causing problems, but for now it's safe to back out
the code.



 drivers/net/e1000/e1000_main.c |   16 ----------------
 1 files changed, 16 deletions(-)

diff -puN drivers/net/e1000/e1000_main.c~e1000-1019-fix drivers/net/e1000/e1000_main.c
--- 25/drivers/net/e1000/e1000_main.c~e1000-1019-fix	2004-01-04 16:20:10.000000000 -0800
+++ 25-akpm/drivers/net/e1000/e1000_main.c	2004-01-04 16:20:10.000000000 -0800
@@ -2097,26 +2097,10 @@ e1000_intr(int irq, void *data, struct p
 		__netif_rx_schedule(netdev);
 	}
 #else
-        /* Writing IMC and IMS is needed for 82547.
-	   Due to Hub Link bus being occupied, an interrupt 
-	   de-assertion message is not able to be sent. 
-	   When an interrupt assertion message is generated later,
-	   two messages are re-ordered and sent out.
-	   That causes APIC to think 82547 is in de-assertion
-	   state, while 82547 is in assertion state, resulting 
-	   in dead lock. Writing IMC forces 82547 into 
-	   de-assertion state.
-        */
-	if(hw->mac_type == e1000_82547 || hw->mac_type == e1000_82547_rev_2)
-		e1000_irq_disable(adapter);
-
 	for(i = 0; i < E1000_MAX_INTR; i++)
 		if(!e1000_clean_rx_irq(adapter) &
 		   !e1000_clean_tx_irq(adapter))
 			break;
-
-	if(hw->mac_type == e1000_82547 || hw->mac_type == e1000_82547_rev_2)
-		e1000_irq_enable(adapter);
 #endif
 
 	return IRQ_HANDLED;

_
